Floating windows cannot be scaled QGIS 3.4.1 macOS (10.11.6)

2018-11-13 01:37 PM - Samuel Oester

Status: Closed

Priority: High

Assignee: Denis Rouzaud

Category: mac_os_specific

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: MacOS 10.11.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 28297

Description

If opening eg. an attribute table or the Layers Panel as floating window (not docked) the window cannot be scaled.

Usualy (as in 3.2) you can click and drag the lower right corner (or acctually any edge) of a window to scale it.

Now the 'double-arrow' mouse symbol doesn't appear.

This bug makes QGIS 3.4. under macOS 10.11 nearly unusable (specially in a multi disply setting).

History

#1 - 2018-11-14 08:07 AM - Samuel Oester

Works fine with latest version from https://github.com/lutraconsulting/qgis-mac-packager/issues/2

QGIS version

3.5.0-Master

QGIS code revision

7cce9b3eb9

#2 - 2018-11-14 12:54 PM - Denis Rouzaud

I have seen this bug in older versions but this was solved by upgrading Qt (to 5.11?).

What is your Qt version?

#3 - 2018-11-14 02:23 PM - Samuel Oester

This is the version with bug (Download from qgis.org):

QGIS version

3.4.1-Madeira

QGIS code branch

Release 3.4

Compiled against Qt

5.11.1

Running against Qt

5.11.1

Compiled against GDAL/OGR

2.3.2
Running against GDAL/OGR

2.3.2

Compiled against GEOS

3.7.0-CAPI-1.11.0

Running against GEOS

3.7.0-CAPI-1.11.0 673b9939

PostgreSQL Client Version

9.6.10

SpatiaLite Version

4.4.0-RC1

QWT Version

6.1.3

QScintilla2 Version

2.10.8

PROJ.4 Version

493

Here everything is fine (download from https://github.com/lutraconsulting/qgis-mac-packager/issues/2):

QGIS version

3.5.0-Master

QGIS code revision

7cce9b3eb9

Compiled against Qt

5.11.2

Running against Qt

5.11.2

Compiled against GDAL/OGR

2.3.2

Running against GDAL/OGR

2.3.2

Compiled against GEOS

3.7.0-CAPI-1.11.0

Running against GEOS

3.7.0-CAPI-1.11.0 673b9939

PostgreSQL Client Version

10.5

SpatiaLite Version

4.3.0a

QWT Version

6.1.3

QScintilla2 Version

2.10.4

Compiled against PROJ

520

Running against PROJ

5.2.0

---

So this bug is gone when using Qt 5.11.2?

#4 - 2018-11-29 04:24 PM - Jesús López

2025-04-27 2/3

https://github.com/lutraconsulting/qgis-mac-packager/issues/2


Resize works again on 3.4.2 under 10.11.6

#5 - 2018-11-29 04:25 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
